PROGRAM CASTRETST;

%INCLUDE DE:[22,320]CASTRE.EXT;

VAR
  test_string : PACKED ARRAY [1..10] OF CHAR;
  start_pos : INTEGER;
  test_num : REAL;

BEGIN { main }
  REPEAT
    WRITE('Test string:');
    READLN(test_string);
    WRITE('Start postion:');
    READLN(start_pos);
    test_num := 0.0;
    CASTRE(test_num,test_string,start_pos);
    WRITELN(test_num:15:8);
  UNTIL start_pos < 1;
END.
